package cn.ibizlab.core.uaa.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.uaa.domain.SYS_USER_ROLE;
/**
 * 关系型数据实体[SYS_USER_ROLE] 查询条件对象
 */
@Slf4j
@Data
public class SYS_USER_ROLESearchContext extends QueryWrapperContext<SYS_USER_ROLE> {

	private String n_sys_user_rolename_like;//[用户角色关系表名称]
	public void setN_sys_user_rolename_like(String n_sys_user_rolename_like) {
        this.n_sys_user_rolename_like = n_sys_user_rolename_like;
        if(!ObjectUtils.isEmpty(this.n_sys_user_rolename_like)){
            this.getSelectCond().like("sys_user_rolename", n_sys_user_rolename_like);
        }
    }
	private String n_sys_roleid_eq;//[角色表标识]
	public void setN_sys_roleid_eq(String n_sys_roleid_eq) {
        this.n_sys_roleid_eq = n_sys_roleid_eq;
        if(!ObjectUtils.isEmpty(this.n_sys_roleid_eq)){
            this.getSelectCond().eq("sys_roleid", n_sys_roleid_eq);
        }
    }
	private String n_sys_userid_eq;//[用户标识]
	public void setN_sys_userid_eq(String n_sys_userid_eq) {
        this.n_sys_userid_eq = n_sys_userid_eq;
        if(!ObjectUtils.isEmpty(this.n_sys_userid_eq)){
            this.getSelectCond().eq("sys_userid", n_sys_userid_eq);
        }
    }
	private String n_sys_username_eq;//[用户名称]
	public void setN_sys_username_eq(String n_sys_username_eq) {
        this.n_sys_username_eq = n_sys_username_eq;
        if(!ObjectUtils.isEmpty(this.n_sys_username_eq)){
            this.getSelectCond().eq("sys_username", n_sys_username_eq);
        }
    }
	private String n_sys_username_like;//[用户名称]
	public void setN_sys_username_like(String n_sys_username_like) {
        this.n_sys_username_like = n_sys_username_like;
        if(!ObjectUtils.isEmpty(this.n_sys_username_like)){
            this.getSelectCond().like("sys_username", n_sys_username_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.getSelectCond().or().like("sys_user_rolename",query);
		 }
	}
}




